Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.usermodel
Class SectionProperties

    java.lang.Object
      org.apache.poi.hwpf.model.types.SEPAbstractType
          org.apache.poi.hwpf.usermodel.SectionProperties

All Implemented Interfaces:
  org.apache.poi.hdf.model.hdftypes.HDFType

    public final class SectionProperties

extends SEPAbstractType

Field Summary

Fields inherited from class org.apache.poi.hwpf.model.types.SEPAbstractType
`field_1_bkc, field_10_grpfIhdt, field_11_nLnnMod, field_12_dxaLnn, field_13_dxaPgn, field_14_dyaPgn, field_15_fLBetween, field_16_vjc, field_17_dmBinFirst, field_18_dmBinOther, field_19_dmPaperReq, field_2_fTitlePage, field_20_brcTop, field_21_brcLeft, field_22_brcBottom, field_23_brcRight, field_24_fPropMark, field_25_ibstPropRMark, field_26_dttmPropRMark, field_27_dxtCharSpace, field_28_dyaLinePitch, field_29_clm, field_3_fAutoPgn, field_30_unused2, field_31_dmOrientPage, field_32_iHeadingPgn, field_33_pgnStart, field_34_lnnMin, field_35_wTextFlow, field_36_unused3, field_37_pgbProp, field_38_unused4, field_39_xaPage, field_4_nfcPgn, field_40_yaPage, field_41_xaPageNUp, field_42_yaPageNUp, field_43_dxaLeft, field_44_dxaRight, field_45_dyaTop, field_46_dyaBottom, field_47_dzaGutter, field_48_dyaHdrTop, field_49_dyaHdrBottom, field_5_fUnlocked, field_50_ccolM1, field_51_fEvenlySpaced, field_52_unused5, field_53_dxaColumns, field_54_rgdxaColumn, field_55_dxaColumnWidth, field_56_dmOrientFirst, field_57_fLayout, field_58_unused6, field_59_olstAnm, field_6_cnsPgn, field_7_fPgnRestart, field_8_fEndNote, field_9_lnc`

Constructor Summary
`SectionProperties()`

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object obj)`

Methods inherited from class org.apache.poi.hwpf.model.types.SEPAbstractType
`getBkc, getBrcBottom, getBrcLeft, getBrcRight, getBrcTop, getCcolM1, getClm, getCnsPgn, getDmBinFirst, getDmBinOther, getDmOrientFirst, getDmOrientPage, getDmPaperReq, getDttmPropRMark, getDxaColumns, getDxaColumnWidth, getDxaLeft, getDxaLnn, getDxaPgn, getDxaRight, getDxtCharSpace, getDyaBottom, getDyaHdrBottom, getDyaHdrTop, getDyaLinePitch, getDyaPgn, getDyaTop, getDzaGutter, getFAutoPgn, getFEndNote, getFEvenlySpaced, getFLayout, getFLBetween, getFPgnRestart, getFPropMark, getFTitlePage, getFUnlocked, getGrpfIhdt, getIbstPropRMark, getIHeadingPgn, getLnc, getLnnMin, getNfcPgn, getNLnnMod, getOlstAnm, getPgbProp, getPgnStart, getRgdxaColumn, getSize, getUnused2, getUnused3, getUnused4, getUnused5, getUnused6, getVjc, getWTextFlow, getXaPage, getXaPageNUp, getYaPage, getYaPageNUp, setBkc, setBrcBottom, setBrcLeft, setBrcRight, setBrcTop, setCcolM1, setClm, setCnsPgn, setDmBinFirst, setDmBinOther, setDmOrientFirst, setDmOrientPage, setDmPaperReq, setDttmPropRMark, setDxaColumns, setDxaColumnWidth, setDxaLeft, setDxaLnn, setDxaPgn, setDxaRight, setDxtCharSpace, setDyaBottom, setDyaHdrBottom, setDyaHdrTop, setDyaLinePitch, setDyaPgn, setDyaTop, setDzaGutter, setFAutoPgn, setFEndNote, setFEvenlySpaced, setFLayout, setFLBetween, setFPgnRestart, setFPropMark, setFTitlePage, setFUnlocked, setGrpfIhdt, setIbstPropRMark, setIHeadingPgn, setLnc, setLnnMin, setNfcPgn, setNLnnMod, setOlstAnm, setPgbProp, setPgnStart, setRgdxaColumn, setUnused2, setUnused3, setUnused4, setUnused5, setUnused6, setVjc, setWTextFlow, setXaPage, setXaPageNUp, setYaPage, setYaPageNUp`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SectionProperties

    public SectionProperties()

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.